{% layout 'theme' %}{% comment %}<!-- { % layout settings.customer_layout % } -->{% endcomment %}

<div id="container-order" class="container contains-page-title contains-page-content account-page-container fs14 pt40 pb40">
  <div class="row">
    <div class="col-lg-3 contains-account-sidebar" id="customer_sidebar">
      
      <a class="link-back-to-store like-table mt5" href="{{ shop.url }}/account"><i class="fa fa-arrow-left"></i> &nbsp;Return to Account page</a>
      
      <hr class="mt10" />
      
      <div class="note order_date">Placed on<br />{{ order.created_at | date: "%B %d, %Y %I:%M%p" }}</div>
      
      <div id="order_address" class="group">
        <hr />
        <div id="order_payment">
          <h5 class="order_section_title mb0">Billing Address</h5>
          <p class="color-grey mb0"><strong><span class="note">Payment Status:</span> <span class="status_{{ order.financial_status }}">{{ order.financial_status }}</span></strong></p>
          <div class="address note">
            <div>{{ order.billing_address.name }}</div>
            <div>{{ order.billing_address.company }}</div>
            <div>{{ order.billing_address.street }}</div>
            <div>{{ order.billing_address.city }}, {{ order.billing_address.province }}</div>
            <div>{{ order.billing_address.country }} {{ order.billing_address.zip }}</div>
            <div>{{ order.billing_address.phone }}</div>
          </div>
        </div>
        {% if order.shipping_address %}
        <hr />
        <div id="order_shipping">
          <h5 class="order_section_title mb0">Shipping Address</h5>
          <p class="color-grey mb0"><strong><span class="note">Fulfillment Status:</span> <span class="status_{{ order.fulfillment_status }}">{{ order.fulfillment_status }}</span></strong></p>
          <div class="address note">
            <div>{{ order.shipping_address.name }}</div>
            <div>{{ order.shipping_address.company }}</div>
            <div>{{ order.shipping_address.street }}</div>
            <div>{{ order.shipping_address.city }}, {{ order.shipping_address.province }}</div>
            <div>{{ order.shipping_address.country }} {{ order.shipping_address.zip }}</div>
            <div>{{ order.shipping_address.phone }}</div>
          </div>
        </div>
        {% endif %}
      </div>
      
    </div><!-- #customer_sidebar -->
    <div class="col-lg-9 contains-account-section" id="customer_order">
      
      <h1 class="page-heading fs32 mt0 pb5 bb1">Order {{ order.name }}</h1>

      {% if order.cancelled %}
      <div id="order_cancelled" class="flash notice">
        <h5 id="order_cancelled_title">Order Cancelled <span class="note">on {{ order.cancelled_at | date: "%B %d, %Y %I:%M%p" }}</span></h5>
        <span class="note">{{ order.cancel_reason }}</span>
      </div>
      {% endif %}
      
      <table id="order_details">
        <thead>
          <tr>
            <th>Product</th>
            <th>SKU</th>
            <th>Price</th>
            <th class="center">Quantity</th>
            <th class="total">Total</th>
          </tr>
        </thead>
        <tbody>
          {% for line_item in order.line_items %}
          <tr id="{{ line_item.id }}" class="{% cycle 'odd', 'even' %}">
            <td class="product">
              <a href="{{ line_item.product.url }}" target="_blank">{{ line_item.title }}</a>
              {% if line_item.fulfillment %}
              <div class="note">
                Fulfilled {{ line_item.fulfillment.created_at | date: "%b %d" }}
                {% if line_item.fulfillment.tracking_number %}
                <a href="{{ line_item.fulfillment.tracking_url }}">{{ line_item.fulfillment.tracking_company }} #{{ line_item.fulfillment.tracking_number}}</a>
                {% endif %}
              </div>
              {% endif %}
            </td>
            <td class="sku note">{{ line_item.sku }}</td>
            <td class="money">{{ line_item.price | money }}</td>
            <td class="quantity cente">{{ line_item.quantity }}</td>
            <td class="total money">{{ line_item.quantity | times: line_item.price | money }}</td>
          </tr>
          {% endfor %}
        </tbody>
        <tfoot>
          <tr class="order_summary note">
            <td class="label" colspan="4">Subtotal:</td>
            <td class="total money">{{ order.subtotal_price | money }}</td>
          </tr>

          {% for discount in order.discounts %}
          <tr class="order_summary discount">
            <td class="label" colspan="4">{{ discount.code }} Discount:</td>
            <td class="total money">{{ discount.savings | money }}</td>
          </tr>
          {% endfor %}

          {% for shipping_method in order.shipping_methods %}
          <tr class="order_summary note">
            <td class="label" colspan="4">Shipping ({{ shipping_method.title }}):</td>
            <td class="total money">{{ shipping_method.price | money }}</td>
          </tr>
          {% endfor %}

          {% for tax_line in order.tax_lines %}
          <tr class="order_summary note">
            <td class="label" colspan="4">Tax ({{ tax_line.title }} {{ tax_line.rate | times: 100 }}%):</td>
            <td class="total money">{{ tax_line.price | money }}</td>
          </tr>
          {% endfor %}

          <tr class="order_summary order_total">
            <td class="label" colspan="4">Total:</td>
            <td class="total money">{{ order.total_price | money }}</td>
          </tr>
        </tfoot>
      </table>
      
    </div><!-- #customer_orders -->
  </div>
</div><!-- #container-account -->